Package org.drinkless.tdlib

# Class TdApi.AcceptedGiftTypes

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AcceptedGiftTypes

Enclosing class:
  `TdApi`

public static class TdApi.AcceptedGiftTypes extends TdApi.Object
Describes gift types that are accepted by a user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `giftsFromChannels`
  True, if gifts from channels are accepted subject to other restrictions.
  `boolean`
  `limitedGifts`
  True, if limited regular gifts are accepted.
  `boolean`
  `premiumSubscription`
  True, if Telegram Premium subscription is accepted.
  `boolean`
  `unlimitedGifts`
  True, if unlimited regular gifts are accepted.
  `boolean`
  `upgradedGifts`
  True, if upgraded gifts and regular gifts that can be upgraded for free are accepted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AcceptedGiftTypes()`
  Describes gift types that are accepted by a user.
  `AcceptedGiftTypes(boolean unlimitedGifts, boolean limitedGifts, boolean upgradedGifts, boolean giftsFromChannels, boolean premiumSubscription)`
  Describes gift types that are accepted by a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### unlimitedGifts

    public boolean unlimitedGifts
    True, if unlimited regular gifts are accepted.

  - ### limitedGifts

    public boolean limitedGifts
    True, if limited regular gifts are accepted.

  - ### upgradedGifts

    public boolean upgradedGifts
    True, if upgraded gifts and regular gifts that can be upgraded for free are accepted.

  - ### giftsFromChannels

    public boolean giftsFromChannels
    True, if gifts from channels are accepted subject to other restrictions.

  - ### premiumSubscription

    public boolean premiumSubscription
    True, if Telegram Premium subscription is accepted.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AcceptedGiftTypes

    public AcceptedGiftTypes()
    Describes gift types that are accepted by a user.

  - ### AcceptedGiftTypes

    public AcceptedGiftTypes(boolean unlimitedGifts, boolean limitedGifts, boolean upgradedGifts, boolean giftsFromChannels, boolean premiumSubscription)
    Describes gift types that are accepted by a user.
    Parameters:
      `unlimitedGifts` - True, if unlimited regular gifts are accepted.
      `limitedGifts` - True, if limited regular gifts are accepted.
      `upgradedGifts` - True, if upgraded gifts and regular gifts that can be upgraded for free are accepted.
      `giftsFromChannels` - True, if gifts from channels are accepted subject to other restrictions.
      `premiumSubscription` - True, if Telegram Premium subscription is accepted.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR